# $Revision: 1.15 $, $Date: 2011/08/12 19:28:57 $
#
# Conditional build:
%bcond_with	tests		# perform "make test" (requires DISPLAY)
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Pango
Summary:	Pango - Layout and render international text
Summary(pl.UTF-8):	Pango - rozmieszczanie i renderowanie wielojęzycznego tekstu
Name:		perl-Pango
Version:	1.222
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://downloads.sourceforge.net/gtk2-perl/Pango-%{version}.tar.gz
# Source0-md5:	56141fb3d30ed69740bd47322857dbd5
URL:		http://search.cpan.org/dist/Pango/
BuildRequires:	pango-devel >= 1:1.16
BuildRequires:	perl-ExtUtils-Depends >= 0.300
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib-devel >= 1.220
BuildRequires:	perl-Cairo >= 1.000
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
# some fonts are required, but does not really matter which ones
BuildRequires:	fonts-TTF-bitstream-vera
BuildRequires:	perl-Gtk2 >= 1.220
%endif
Requires:	pango >= 1:1.16
Requires:	perl-Glib >= 1.220
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl bindings to Pango library used to layout and render international
text.

%description -l pl.UTF-8
Perlowe wiązania do biblioteki Pango służącej do rozmieszczania i
renderowania wielojęzycznego tekstu.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Pango{,/Cairo}/*.pod
rmdir $RPM_BUILD_ROOT%{perl_vendorarch}/Pango/Cairo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%{perl_vendorarch}/Pango.pm
%dir %{perl_vendorarch}/Pango
%{perl_vendorarch}/Pango/Install
%dir %{perl_vendorarch}/auto/Pango
%{perl_vendorarch}/auto/Pango/Pango.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Pango/Pango.so
%{_mandir}/man3/Pango*.3pm*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Pango.spec,v $
Revision 1.15  2011/08/12 19:28:57  qboosh
- updated to 1.222; uses perl-Glib-devel now

Revision 1.14  2011/03/10 15:50:29  qboosh
- pl

Revision 1.13  2011/03/10 15:53:46  qboosh
- cleanup

Revision 1.12  2010/11/13 15:47:05  sls
- turn off tests bcond

Revision 1.11  2010/06/06 06:39:10  arekm
- release 4

Revision 1.10  2010/06/06 06:30:37  arekm
- same for cairo

Revision 1.9  2010/06/06 06:23:15  arekm
- rel 3; perl-Glib required even without tests

Revision 1.8  2010/06/06 05:35:03  arekm
- release 2

Revision 1.7  2010/05/24 17:08:50  caleb
- Reverted change from r1.6, was totally bogus

Revision 1.6  2010/05/24 14:26:12  caleb
- Build does not require perl-Gtk2, that would be circular.

Revision 1.5  2010/05/22 19:49:20  glen
- no subdir for examples

Revision 1.4  2010/05/21 22:48:51  sparky
- BR: pango-devel
- tests BR: fonts-TTF-bitstream-vera (any ttf font will do), perl-Gtk2

Revision 1.3  2010/05/21 20:37:48  caleb
- Fixed files for Install folders
- Reset release to 1, never sent to builders but ready

Revision 1.2  2010/05/21 19:37:46  caleb
- Packaged missing Install files

Revision 1.1  2010/05/21 18:14:17  caleb
- Initial add from pldcpan. Needed for perl-Clutter
